Subject: bug#29031: 25.3; Segmentation fault when starting emacs with my config

From: Noam Postavsky <[email-masked]>
Date: Tue, 07 Nov 2017 08:55:37 -0500

Kaushal Modi <[email-masked]> writes:

> I have no idea what that is. I am not a C developer. So I haven't yet
> found time to learn valgrind. I read the referenced DEBUG file, but
> it made no sense. I believe it's a steep learning curve for someone
> who doesn't know what valgrind is. 

Could you try just installing valgrind, reconfiguring and recompile
emacs with --enable-checking (reconfigure after installing valgrind, as
configure checks for its header file) and then running 'valgrind emacs'
and posting the result.  I tried this now without making any more
complex changes suggested in DEBUG and emacs did manage to run.  There
were a couple of warnings about pselect and writev, but otherwise it
seemed to work okay.

It's possible something useful will come out.  If not, we can consider
whether it's worth trying the more complex stuff.